/*
  plic memmanager
  Copyright (C) 1999  Achim Kern

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "plic_MemManager1.h"
#include <fstream.h>
#include <streambuf.h>



xString xPLI_MemManager1::
getAddress(const xIdentifier & variable)
{
  TIndex i = 0;
  xString debug;

  switch (variable.Type)
  {
  case Simple:;
  case Array:
    while ((i < ~Symboltable) && (Symboltable[i]->Name != variable.Name))
    {
      i++;
    };
    if (i == ~Symboltable)
    {
      return variable.Name;
    }
    else
    {
      return Symboltable[i]->Address;
    };
    break;
  case Unknown:;
  case Function:;
  };
  // just for satisfying the compiler
  return ("");
};




xVariable* xPLI_MemManager1::
New()
{
  LastTmpVar += 1;
  return (new xVariable("_p1t" + xString::Unsigned2Dec(LastTmpVar)));
};




