/*
  plic memmanager
  Copyright (C) 1999  Achim Kern

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "plic_MemManager2.h"
#include <fstream.h>
#include <streambuf.h>
#include "xstring.h"




void xPLI_MemManager2::
init(const xFunctionList & functions)
{
  for (TIndex i = 0; i < ~functions; i++)
  {
    Functionlist += new xAddressData(functions[i]->Name.Name, functions[i]->ResultAddress);
  };
  LastTmpVar = 0;
  
};




TIndex xPLI_MemManager2::
getFunctionnumber(const xString & functionname)
{
  TIndex i = 0;

  while (Functionlist[i]->Name != functionname)
  {
    i++;
  };
  // if (i=~FunctionList) throw exeption UNKNOWN FUNCTION
  return (i + 1);
};




xVariable* xPLI_MemManager2::
New()
{
  LastTmpVar += 1;
  return new xVariable("_p2t" + xString::Unsigned2Dec(LastTmpVar));
};
