/*
  theosim main file
  Copyright (C) 1999  Erik Thiele

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "mw.hpp"

#include <qapp.h>
#include <stdio.h>

int main( int argc, char **argv )
{
  int retval;

  fflush(stdout);setvbuf(stdout,NULL,_IONBF,0);

  try {
    QApplication a( argc, argv );
    
    QWidget *w = new mainw;
    w->show();
    
    a.setMainWidget(w);
    retval = a.exec();
  }catch(...) {
    fprintf(stderr,"\n\nUnknown exception caused program termination.\n");
    retval = 1;
  };
  return retval;
}
